# 项目说明

## 命令说明

### 拉取依赖

```bash
go mod tidy
```
### 安装依赖viper
```bash
go get github.com/spf13/viper
```

## 一、项目结构
```
├── LICENSE
├── Makefile          # 构建
├── README.md
├── cmd
│   ├── app           # 接口运行命令
│   └── cli           # 命令行运行命令
├── configs           # 配置文件 & 全局配置
├── database          # 数据表文件
├── go.mod
├── go.sum
├── logs              # 日志文件model
├── model             # 数据库模型
├── public            # 静态文件托管
├── releases          # 打包最后输出目录
├── internal
│   ├── bootstrap     # 服务启动
│   ├── middleware    # 中间件
│   ├── request       # 请求参数绑定的结构体目录utils
|   ├── utils         # utils
│   └── router        # 路由
└── pkg
    ├── crontab       # 定时任务
    └── oss           # aliyun oss上传
```
### 前向流量池
  -- 绑定：「资费管理」
  -- 分配对应「资费管理下多张卡
  -- 流量总数 = 卡 * 流量包1/G

### 后向流量池
  -- 绑定：「资费管理」
  -- 分配对应「资费管理下多张卡
  -- 流量总数 = 自己设置。

### 资费管理
  -- 分配流量包：单独设置价格
  -- 下发客户

### 卡管理
  -- 导入的时候要分配：资费管理
  -- 设置：供应商来源
  -- 解绑：绑定过「流量池，需要解绑」
  -- 选择卡类型



### 目前订购流量包 不要，挂卡下面，只能存在一个”订单“

### 「客户端」采购申请
    -- 选择营商 
  -- 选择资费：根据
  -- 卡类型 「字典」
  -- 沉默期
  -- 流量池： 
      -- 组池
      -- 不组池
  -- 购卡数量
「平台收到」采购订单后去给他组池或不组池

###  采购申请「采购订单」
  -- 选择营商 
  -- 选择资费：根据
  -- 卡类型 「字典」
  -- 沉默期
  -- 流量池： 
      -- 组池
      -- 不组池
  -- 购卡数量
「平台收到」采购订单后去给他组池或不组池