package boots

import (
	"context"
	"go-nc/configs/global"

	"github.com/redis/go-redis/v9"
	"go.uber.org/zap"
)

func InitRedis() *redis.Client {
	client := redis.NewClient(&redis.Options{
		Addr:     global.App.Config.Redis.Host + ":" + global.App.Config.Redis.Port,
		Password: global.App.Config.Redis.Password,
		DB:       global.App.Config.Redis.DB, // use default DB
	})
	// 链接失败
	if err := client.Ping(context.Background()).Err(); err != nil {
		global.App.Log.Error("redis 链接失败", zap.Error(err))
	} else {
		// 链接成功打印日志
		global.App.Log.Info("Redis 链接成功")
	}
	return client
}
