package bootstrap

import (
	"go-nc/configs/global"
	"go-nc/internal/bootstrap/boots"
	"go-nc/pkg/crontab"
)

// var _UI = `123`

func BootService() {
	// 初始化配置
	boots.InitConfig()
	// 初始化日志
	global.App.Log = boots.InitLog()
	// 初始化数据库
	global.App.DB = boots.InitDB()
	// 初始化StarRocks数据库
	// global.App.StarRocksDB = boots.InitStarRocksDB()
	// 初始化redis
	global.App.Redis = boots.InitRedis()

	// 程序关闭前，释放数据库连接
	defer func() {
		if global.App.DB != nil {
			db, err := global.App.DB.DB()
			if err == nil {
				db.Close()
			}
		}
	}()

	// 任务
	go crontab.SimCardTask()

	// 流量包
	// sim.GetFlowPackage()

	// stripe.CreateWebhook()

	// 同步订单信息
	// var iccids []string
	// iccids = append(iccids, "89852342022040149139")
	// iccids = append(iccids, "89852342022060862280")
	// iccids = append(iccids, "89852342022060861597")
	// packages.GraceSyncOrder(iccids)
	// 12410281750066151765
	// 同步流量包
	// packages.GraceSyncDataPlan()
	// 同步卡信息
	// var list []packages.GraceSimCard
	// list = append(list, packages.GraceSimCard{Iccid: "89852342022040149139"})
	// list = append(list, packages.GraceSimCard{Iccid: "89852342022060862280"})
	// list = append(list, packages.GraceSimCard{Iccid: "89852342022060861597"})
	// packages.GraceSyncCard(list)

	boots.RunServer()

}
