package system

import "go-nc/model"

// 登录
type SysLoginType struct {
	Username string `json:"username" Validate:"required"` // 账号
	Password string `json:"password" Validate:"required"` // 密码
}

// 注册
type SysUserType struct {
	SysLoginType
	Name     string `json:"name" Validate:"required"`     // 姓名
	UserType string `json:"userType" Validate:"required"` // 1-平台用户 2-经销商
	State    string `json:"state" Validate:"required"`    // 状态
	RoleIds  []uint `json:"roleIds"`
}

// 菜单
type SysMenuType struct {
	model.Sys_menu
	Children []SysMenuType `json:"children"`
}

// 角色列表
type SysRoleType struct {
	model.Sys_role
	Children []SysRoleType `json:"children"`
	Users    []uint        `json:"users"`
}
