package model

// 流量池预警
type Alert_traffic_pool struct {
	ModelUUID
	UserId                                uint   `gorm:"not null;" json:"userId"`                                        // 用户ID
	PoolId                                string `gorm:"not null;type:varchar(255)" json:"poolId"`                       // 流量池ID
	ClientPooPc                           int64  `json:"clientPooPc"`                                                    // 客户端-池预警设置:端流量池预计
	ClientPooPcWarnSwitch                 string `gorm:"type:varchar(255)" json:"clientPooPcWarnSwitch"`                 // 客户端-池预警设置:达量预警
	ClientPooPcStop                       string `gorm:"type:varchar(255)" json:"clientPooPcStop"`                       // 客户端-池预警设置:达量停机
	ClientPooPcStopSwitch                 string `gorm:"type:varchar(255)" json:"clientPooPcStopSwitch"`                 // 客户端-池预警设置:达量停机开关
	ClientPooPcStopNetwork                string `gorm:"type:varchar(255)" json:"clientPooPcStopNetwork"`                // 客户端-池预警设置:达量断网
	ClientPooPcStopNetworkSwitch          string `gorm:"type:varchar(255)" json:"clientPooPcStopNetworkSwitch"`          // 客户端-池预警设置:达量断网开关
	ClientNotifyNumber                    int    `json:"clientNotifyNumber"`                                             // 客户端-池预警设置::通知次数 次/月
	ClientSingleCardWarn                  string `gorm:"type:varchar(255)" json:"clientSingleCardWarn"`                  // 客户端-单卡预警设置:单卡预警 M
	ClientSingleCardWarnSwitch            string `gorm:"type:varchar(255)" json:"clientSingleCardWarnSwitch"`            // 客户端-单卡预警设置:单卡预警 M 开关
	ClientSingleCardWarnStop              string `gorm:"type:varchar(255)" json:"clientSingleCardWarnStop"`              // 客户端-单卡预警设置:达量停机
	ClientSingleCardWarnStopSwitch        string `gorm:"type:varchar(255)" json:"clientSingleCardWarnStopSwitch"`        // 客户端-单卡预警设置:达量停机开关
	ClientSingleCardWarnStopNetwork       string `gorm:"type:varchar(255)" json:"clientSingleCardWarnStopNetwork"`       // 客户端-单卡预警设置:达量断网
	ClientSingleCardWarnStopNetworkSwitch string `gorm:"type:varchar(255)" json:"clientSingleCardWarnStopNetworkSwitch"` // 客户端-单卡预警设置:达量断网开关
	ManageWarn                            int64  `json:"manageWarn"`                                                     // 管理端-预警设置: 预计设置
	ManageWarnSwitch                      string `gorm:"type:varchar(255)" json:"manageWarnSwitch"`                      // 管理端-预警设置: 预计设置开关
	ManageWarnSwitchStop                  string `gorm:"type:varchar(255)" json:"manageWarnSwitchStop"`                  // 管理端-预警设置:达量停机
	ManageWarnSwitchStopSwitch            string `gorm:"type:varchar(255)" json:"manageWarnSwitchStopSwitch"`            // 管理端-预警设置:达量停机开关
	ManageWarnStopNetwork                 string `gorm:"type:varchar(255)" json:"manageWarnStopNetwork"`                 // 管理端-预警设置:达量断网
	ManageWarnStopNetworkSwitch           string `gorm:"type:varchar(255)" json:"manageWarnStopNetworkSwitch"`           // 管理端-预警设置:达量断网开关
}

// 客户预警
type Alert_customer struct {
	ModelUUID
	UserId                 uint   `gorm:"not null;" json:"userId"`                      // 用户ID
	AmountWarn             int64  `json:"amountWarn"`                                   // 余额预警
	ArriveWarn             int64  `json:"arriveWarn"`                                   // 达量预警
	ArriveStop             int64  `json:"arriveStop"`                                   // 达量停机
	ArriveNetwork          int64  `json:"arriveNetwork"`                                // 达量断网
	ArriveStopOperation    string `gorm:"type:varchar(255)" json:"arriveStopOperation"` // 达量停机操作
	ArriveNetworkOperation string `gorm:"type:varchar(255)" json:"arriveStopNetwork"`   // 达量网络操作
	WarnPhone              string `gorm:"not null;type:varchar(255)" json:"warnPhone"`  // 预警手机号
	WarnEmail              string `gorm:"not null;type:varchar(255)" json:"warnEmail"`  // 预警邮箱
}
