package model

// 客户信息
type U_customerAccountInfo struct {
	Model
	UserId uint `gorm:"not null;" json:"userId"`

	// 收获地址
	Phone string `gorm:"not null;type:varchar(255)" json:"phone"` // 手机
	Email string `gorm:"not null;type:varchar(255)" json:"email"` // 邮箱
	Addr  string `gorm:"not null;type:varchar(255)" json:"addr"`  // 地址
	Zip   string `gorm:"not null;type:varchar(255)" json:"zip"`   // 邮编
	Note  string `gorm:"not null;type:varchar(255)" json:"note"`  // 备注
	// 短信通知
	Sms          string  `gorm:"not null;type:varchar(255)" json:"sms"`          // 短信
	SMSSignature string  `gorm:"not null;type:varchar(255)" json:"smsSignature"` // 短信签名
	LoginSms     string  `gorm:"not null;type:varchar(255)" json:"loginSms"`     // 登录短信模板
	WarnSms      string  `gorm:"not null;type:varchar(255)" json:"warnSms"`      // 警告模板
	Amount       float64 `gorm:"not null; default:0" json:"amount"`              // 余额
	// 发票信息
	InvoiceTitle string `gorm:"not null;type:varchar(255)" json:"invoiceTitle"` // 发票抬头
	InvoiceType  string `gorm:"not null;type:varchar(255)" json:"invoiceType"`  // 发票类型
	InvoiceAddr  string `gorm:"not null;type:varchar(255)" json:"invoiceAddr"`  // 发票地址
	InvoiceZip   string `gorm:"not null;type:varchar(255)" json:"invoiceZip"`   // 发票邮编
	InvoiceEmail string `gorm:"not null;type:varchar(255)" json:"invoiceEmail"` // 发票邮箱
	// 银行信息
	BankName    string `gorm:"not null;type:varchar(255)" json:"bankName"`    // 银行名称
	BankAccount string `gorm:"not null;type:varchar(255)" json:"bankAccount"` // 银行账号
	BankBranch  string `gorm:"not null;type:varchar(255)" json:"bankBranch"`  // 开户支行
	// 营业执照
	BusinessLicense string `gorm:"not null;type:varchar(255)" json:"businessLicense"` // 营业执照
	// 税务登记复印件
	TaxRegistrationCertificate string `gorm:"not null;type:varchar(255)" json:"taxRegistrationCertificate"` // 税务登记复印件
	// 一般纳税人认证资格复印件
	TaxpayerQualification string `gorm:"not null;type:varchar(255)" json:"taxpayerQualification"` // 一般纳税人认证资格复印件
}
