package model

import "time"

// 购卡订单
type Cmi_sim_order struct {
	ModelUUID
	UserId           uint    `json:"user_id"`
	Source           string  `gorm:"not null;type:varchar(255)" json:"source"`             // 来源
	TrafficId        string  `gorm:"type:varchar(255)" json:"trafficId"`                   // 资费Id
	PeriodOfSilence  string  `gorm:"type:varchar(255)" json:"periodOfSilence"`             // 静默期
	IsTrafficPool    string  `gorm:"not null; type:varchar(255)" json:"isTrafficPool"`     // 是否是流量池 1:是 2:否
	PoolId           string  `gorm:"type:varchar(255)" json:"poolId"`                      // 流量池Id
	Quantity         int     `json:"quantity"`                                             // 采购数量
	Amount           float64 `gorm:"type:varchar(255)" json:"amount"`                      // 采购金额
	ReturnAmount     float64 `gorm:"type:varchar(255)" json:"returnAmount"`                // 退订金额
	SimType          string  `gorm:"type:varchar(255)" json:"simType"`                     // 卡类型
	TmsStatus        string  `gorm:"type:varchar(255)" json:"tmsStatus"`                   // 物流状态：1：未发货 2：已发货
	Status           string  `gorm:"type:varchar(255)" json:"status"`                      // 订单状态: 1 采购 2 退换 3续费
	ContractImg      string  `gorm:"type:varchar(255)" json:"contractImg"`                 // 合同图片
	ModerationNotes  string  `gorm:"type:varchar(255)" json:"moderationNotes"`             // 审核备注
	ModerationStatus string  `gorm:"type:varchar(255); default:1" json:"moderationStatus"` // 订单审核状态:1: 待审核 2: 审核通过 3: 已驳回
}

// 购卡订单卡
type Cmi_sim_order_card struct {
	ModelUUID
	OrderId       string `gorm:"type:varchar(255)" json:"orderId"`       // 订单Id
	ReturnOrderId string `gorm:"type:varchar(255)" json:"returnOrderId"` // 退订订单Id
	Iccid         string `gorm:"type:varchar(255)" json:"iccid"`
	Status        string `gorm:"type:varchar(255); default:1" json:"status"` // 平台卡状态 1:在购 2:退订
}

type Cmi_traffic_order struct {
	ModelUUID
	UserId        uint      `json:"user_id"`
	Source        string    `gorm:"not null;type:varchar(255)" json:"source"` // 来源
	TrafficId     string    `gorm:"type:varchar(255)" json:"trafficId"`       // 资费Id
	BeforeEndDate time.Time `json:"beforeEndDate"`                            // 之前有效期
	EndDate       time.Time `json:"endDate"`                                  // 有效期
	Quantity      int       `json:"quantity"`                                 // 采购数量
	Amount        float64   `gorm:"type:varchar(255)" json:"amount"`          // 采购金额
}
