package model

// 用户账户
type Sys_user struct {
	Model
	Name     string `gorm:"not null;type:varchar(255)" json:"name" comment:"姓名"`
	Username string `gorm:"not null;unique;type:varchar(255)" json:"username" comment:"账号"`
	Password string `gorm:"not null;type:varchar(255)" json:"password,omitempty" comment:"密码"`
	State    string `gorm:"not null;type:varchar(255); default:1" json:"state" comment:"状态"`
	UserType string `gorm:"not null;type:varchar(255);default:1" json:"userType" comment:"用户类型：1-平台用户，2-经销商用户"`
}

// 角色
type Sys_role struct {
	Model
	Name        string `gorm:"not null;type:varchar(255)" json:"name" comment:"角色名称"`
	Description string `gorm:"type:varchar(255)" json:"description" comment:"角色描述"`
}

// 菜单
type Sys_menu struct {
	Model
	MenuId     uint   `json:"menuId" comment:"父菜单ID"`
	Name       string `gorm:"not null;type:varchar(255)" json:"name" comment:"菜单名称"`
	Url        string `gorm:"type:varchar(255)" json:"url" comment:"链接"`
	Perms      string `gorm:"type:varchar(255)" json:"perms" comment:"权限标识"`
	Type       string `gorm:"not null;type:varchar(255)" json:"type" comment:"类型"`
	Path       string `gorm:"not null;type:varchar(255)" json:"path" comment:"路由标识"`
	Refresh    string `gorm:"not null;type:varchar(255)" json:"refresh" comment:"是否缓存"`
	Icon       string `gorm:"type:varchar(255)" json:"icon,omitempty" comment:"图标"`
	SortNumber int    `gorm:"not null;default:999" json:"sortNumber" comment:"排序编号"`
}

// 用户角色关系
type Sys_user_role struct {
	Model
	UserId uint `gorm:"not null" json:"userId" comment:"用户ID"`
	RoleId uint `gorm:"not null" json:"roleId" comment:"角色ID"`
}

// 菜单角色关系
type Sys_role_menu struct {
	Model
	RoleId uint `gorm:"not null" json:"roleId" comment:"角色ID"`
	MenuId uint `gorm:"not null" json:"menuId" comment:"菜单ID"`
}

// 字典
type Sys_dictionary struct {
	Model
	Label        string `gorm:"not null;type:varchar(255)" json:"label"`   // key
	Value        string `gorm:"not null;type:varchar(255)" json:"value"`   // value
	TypeKey      string `gorm:"not null;type:varchar(255)" json:"typeKey"` // 类型
	TypeLabel    string `gorm:"not null; type:varchar(255)" json:"typeLabel"`
	CreateUserId uint   `gorm:"not null;" json:"createUserId"`   // 创建人
	UpdateUserId uint   `gorm:"not null;" json:"updateUserId"`   // 修改人
	Remark       string `gorm:"type:varchar(255)" json:"remark"` // 备注
}
