package model

import "time"

// 资费管理 dataPlan
type Sim_traffic struct {
	ModelUUID
	UserId               uint      `gorm:"not null;" json:"userId"`                         // 用户ID资费：
	SimDataPlanId        string    `gorm:"not null;type:varchar(255)" json:"simDataPlanId"` // 流量包ID
	Label                string    `gorm:"not null;type:varchar(255)" json:"label"`         // 资费名称
	Source               string    `gorm:"not null;type:varchar(255)" json:"source"`        // 来源
	BillingCycle         string    `gorm:"not null;type:varchar(255)" json:"billingCycle"`  // 计费周期
	BillingMethod        string    `gorm:"not null;type:varchar(255)" json:"billingMethod"` // 计费方式
	EndDate              time.Time `gorm:"not null;" json:"endDate"`                        // 有效期 资费：订购周期 改有效期
	Pricing              int64     `gorm:"not null;" json:"pricing"`                        // 价格
	Currency             string    `gorm:"not null;type:varchar(255)" json:"currency"`      // 币种
	TrafficBilling       string    `json:"trafficBilling"`                                  // 流量资费计费
	TrafficBillingType   string    `json:"trafficBillingType"`                              // 流量资费计费类型
	TrafficBillingAmount string    `json:"trafficBillingAmount"`                            // 流量资费计费金额
	MRCAmount            string    `json:"mrcAmount"`                                       // MRC金额
	NetworkAccessFee     string    `json:"networkAccessFee"`                                // 网络接入费
}

// 资费商品
type Sim_traffic_product struct {
	ModelUUID
	TrafficId string `gorm:"not null;type:varchar(255)" json:"trafficId"`
	Price     string `gorm:"not null;type:varchar(255)" json:"price"`    // 价格
	Currency  string `gorm:"not null;type:varchar(255)" json:"currency"` // 币种
	Period    int    `gorm:"not null;type:varchar(255)" json:"period"`   // 期限
	Label     string `gorm:"not null;type:varchar(255)" json:"label"`    // 标签
}
