package model

import "github.com/shopspring/decimal"

type Cfo_wallet struct {
	ModelUUID
	UserId           uint            `gorm:"not null;" json:"userId"`
	Amount           decimal.Decimal `gorm:"not null;type:varchar(255); default:0" json:"amount"`           // 余额
	AvailableAmount  decimal.Decimal `gorm:"not null;type:varchar(255); default:0" json:"availableAmount"`  // 可用余额
	TotalAmount      decimal.Decimal `gorm:"not null;type:varchar(255); default:0" json:"totalAmount"`      // 总金额
	RechargeAmount   decimal.Decimal `gorm:"not null;type:varchar(255); default:0" json:"rechargeAmount"`   // 充值金额
	WithdrawalAmount decimal.Decimal `gorm:"not null;type:varchar(255); default:0" json:"withdrawalAmount"` // 提现金额
}

// 充值记录
type Cfo_recharge_record struct {
	ModelUUID
	UserId          uint            `gorm:"not null;" json:"userId"`
	Status          string          `gorm:"not null;type:varchar(255)" json:"status"`          //	充值状态
	RechargeAmount  decimal.Decimal `gorm:"not null;type:varchar(255)" json:"rechargeAmount"`  // 充值金额
	AvailableAmount decimal.Decimal `gorm:"not null;type:varchar(255)" json:"availableAmount"` // 可用余额
	CertificateImg  string          `gorm:"type:varchar(255)" json:"certificateImg"`           // 凭证
	Remarks         string          `gorm:"type:varchar(255)" json:"remarks"`                  // 备注
}
