package gogs

type Commit struct {
	ID        string    `json:"id"`
	Message   string    `json:"message"`
	URL       string    `json:"url"`
	Author    Author    `json:"author"`
	Committer Committer `json:"committer"`
	Modified  []string  `json:"modified"`
	Timestamp string    `json:"timestamp"`
}

type Author struct {
	Name     string `json:"name"`
	Email    string `json:"email"`
	Username string `json:"username"`
}

type Committer struct {
	Name     string `json:"name"`
	Email    string `json:"email"`
	Username string `json:"username"`
}

type Repository struct {
	HTMLURL string `json:"html_url"`
}

type PushEvent struct {
	Ref        string     `json:"ref"`
	Commits    []Commit   `json:"commits"`
	Repository Repository `json:"repository"`
}
